#include <stdio.h>
#include <conio.h>

main()
{
 char              betu;
 int               puffer; // ebbe irodik a ket byte, melybol csak egy hasznos
 signed char       kisszam;
 unsigned char     db;
 int               egesz;
 unsigned int      evszam;
 long int          nagyszam;
 unsigned long int nagypozitiv;
 float             valos;
 double            nagyvalos;
 long double       nagyonnagyszam;

 clrscr();
 printf("Ertekadas kulonfele tipusu valtozoknak, majd kiiratas\n\n");
 printf("Adj meg egy betut:");
 betu = getch();
 printf("\nAdj meg egy szamot -128 es +127 kozott :");
 scanf("%d",&puffer); kisszam = (signed char) puffer;

 printf("Adj meg egy szamot 0-255 kozott:");
 scanf("%u",&puffer); db = (unsigned char) puffer;

 printf("Adj meg egy egesz szamot -32768 es 32767 kozott:");
 scanf("%d",&egesz);

 printf("Adj meg egy evszamot:");
 scanf("%u",&evszam);

 printf("Adj meg egy 8 jegyu negativ szamot:");
 scanf("%ld",&nagyszam);

 printf("Adj meg egy 9 jegyu pozitiv szamot:");
 scanf("%lu",&nagypozitiv);

 printf("Adj meg egy valos szamot:");
 scanf("%f",&valos);

 printf("Adj meg egy 16 jegyu valos szamot:");
 scanf("%lf",&nagyvalos);

 printf("Adj meg egy 24 jegyu negativ szamot:");
 scanf("%Lf",&nagyonnagyszam);

 printf("\n\nKiiratasok kovetkeznek:\n");

 printf("\nA betu: %c, kodja: %d",betu,betu);

 printf("\nA szam -128 es 127 kozott= %d",kisszam);

 printf("\nA szam 0-255 kozott= %u",db);

 printf("\nAz egesz -32768 es 32767 kozott= %d",egesz);

 printf("\nAz evszam csak pozitiv lehetett, = %u",evszam);

 printf("\nA 8 jegyu negativ szam= %ld",nagyszam);

 printf("\nA 9 jegyu pozitiv szam= %lu",nagypozitiv);

 printf("\nA valos lebegopontosan= %f, kitevos alakban= %e",valos,valos);

 printf("\nA duplapontos valos= %lf, kitevosen= %le",nagyvalos,nagyvalos);

 printf("\nA 24 jegyu negativ= %Lf, kitevosen= %Le",nagyonnagyszam,
													nagyonnagyszam);
 getch();
3
 //valosoknal elofordulhat elteres a szamabrazolas nem kello pontossaga miatt
}